iPhone this device isn't eligible for the requested build

Discussion in 'Jailbreaks and iOS Hacks' started by samoth, Nov 3, 2012.

  1. samoth macrumors newbie

    Joined:
    Nov 3, 2012
    #1
    hey,

    i am trying to jailbreak and unlock my iphone 4 with pwnagetool 5.1.1 on my mac (osx 10.6.8). i customized an ispw, put the iphone into dfu mode, and tried to restore the customized ipsw via itunes (10.7) as described here: http://www.iphoneheat.com/2012/06/jailbreak-ios-5-1-1-with-pwnagetool-511/ while restoring, itunes report that "this device isn't eligible for the requested build". i therefore changed my hosts file on my mac following this tutorial: http://osxdaily.com/2011/11/03/fix-...sted-build-error-in-itunes-when-updating-ios/ but it still doesn't work and itunes still reports that "this device isn't eligible for the requested build".

    andy ideas?

    thanks!

    best wishes, thomas
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    Did you put the iphone in regural dfu? Its supposed to be in Pwned dfu.
    And did you stitch the shsh blobs for your device for firmware 5.1.1 on that custom ipsw?
    Sounds like you missed a bunch of steps.
     
  3. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #3
    Also, just to make sure, host file to Cydia
    Newest iTunes wouldn't hurt either
     
  4. samoth thread starter macrumors newbie

    Joined:
    Nov 3, 2012
    #4
    thx for the quick reply!

    the mistake i made was that i didn't stitch the shsh blobs for my custom ipsw. i now created an custom ipsw including shsh blobs and now it worked - my iphone is jailbroken!

    but i want to unlock my iphone too. i do have baseband 04.12.01-ICE_2_13 (ios 5.1.1) on my iphone right now. is it possible to unlock my iphone with ultrasn0w via cydia?

    if not, any other opportunities?

    best, thomas
     
  5. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #5
    Ultrasnow only works on 1.59.0

    You need to buy an IMEI unlock online or get the carrier to unlock it, no otherway.
     
  6. samoth thread starter macrumors newbie

    Joined:
    Nov 3, 2012
    #6
    what's about waiting for jailbreak/unlock options of ios 6, or am i stucked into baseband 04.12.01 forever?

    any suggestions for a cheap online IMEI unlock provider?

    best, thomas
     
  7. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #7
    The devs are not working on any new unlock software, it is rather cheap these days to buy a IMEI unlick and more and more factory unlocked phones are being sold and come on the market secondhand, so it has not the priority it used to have.

    There is an ongoing thread in the forum that has good info on IMEI unlocks, check it out
     
  8. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #8
    Jailbreak (tethered) you can do now
    There will never be a software unlock of that baseband
     
  9. kirin3e macrumors newbie

    Joined:
    Dec 14, 2012
    #9
    T_t

    what does it mean to stitch the shsh blobs? and to put it into pwned dfu?
    T__T
     
  10. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #10
    These were required actions to allow a firmware restore/downgrade but the newest Redsn0w now does these things automatically.

    iClarified.com has tutorials
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    If you dont know what those things are or do then you should research and learn more before you attempt anything further.
     
  12. applemacglory3 macrumors newbie

    Joined:
    Jan 11, 2013
    #12
    So I went through the iClarified tutorial to jailbreak iPhone 4 with PwnageTool with 5.0.1 did all the steps as it said and my final step is to restore with custom ipsw. Well it never mentioned about stitching the shsh blobs... So I keep getting the "This device isn't eligible for the requested build" message. Any idea?
     
  13. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #13
    This method is no longer used

    Use latest redsn0w 09.15b3

    Go to extras/even more/restore
    Select the 5.01 IPSW
    follow instructions and use local or remote saved SHSH for 5.01

    Make sure your host file is pointing to apple instead of cydia
     
  14. daudi macrumors member

    Joined:
    Jan 1, 2012
    #14
    @samoth: use the method that Jet has posted. in this method u dont need any itunes. simply follow the steps and the iphone would be restored from redsn0w the easy way. all you will need is SHSH Blobs for the ios verison u need to restore.

    when u got everything, just sit back and relax while the iphone will be restored automatically.
     

Share This Page